<!DOCTYPE html>
<html>
    <head>
        <title>Kamil's personal website</title>
        <meta charset="utf-8" />
        <link rel="stylesheet" href="/simple.min.css" />
    </head>
    <body>
        <h1>Kamil's personal website</h1>
        <div style="float: left;">
            <a class="button" href="/">home</a>
            <a class="button" href="/#projects">projects</a>
        </div>
        <p>Written in C™. <a href="https://gitlab.com/kamkow1/aboba" target="_blank">Check out the source code here!</a></p>
        <section id="projects">
            <h2>Personal projects</h2>
            <a href="https://gitlab.com/kamkow1">Gitlab</a><br />
            <a href="https://github.com/kamkow1">Github (mostly old unused stuff)</a><br />
            <h3>My favourites</h3>
            <ul>
                <li>
                    <a href="https://gitlab.com/kamkow1/gebs" target="_blank">gebs - good enough build system</a>
                </li>
                <li>
                    <a href="https://github.com/kamkow1/gt" target="_blank">gt - green threads library for x86 64</a>
                </li>
                <li>
                    <a href="https://gitlab.com/kamkow1/clij" target="_blank">clij - concatenative language in Java</a>
                </li>
                <li>
                    <a href="https://gitlab.com/kamkow1/cindex" target="_blank">cindex - C source code indexer and search engine</a>
                </li>
                <li>
                    <a href="https://gitlab.com/kamkow1/z80emu" target="_blank">Zilog z80 chip emulator</a>
                </li>
                <li>
                    <a href="https://gitlab.com/kamkow1/yup" target="_blank">Yup - toy compiler in Go</a>
                </li>
                <li>
                    <a href="https://github.com/kamkow1/sal" target="_blank">Sal - silly ahh language</a>
                </li>
                <li>
                    <a href="https://gitlab.com/kamkow1/knur" target="_blank">knur - heavily modified xv6 kernel</a>
                </li>
            </ul>
        </section>
        <footer>
            <a href="/">HOME</a>
        </footer>

        <#if HOTRELOAD>
            <script src="/hotreload.js"></script>
        <#endif>
    </body>
</html>
